;============================================================================
; COMN.INC
;============================================================================




; File ----------------------------------------------------------------------




; Public functions.

File_Exist	proto	pszFile:dword
File_Open	proto	pszFile:dword,Access:dword,Mode:dword,FAttr:dword
File_Close	proto	hFile:dword
File_ReadCl	proto	pszFile:dword,pBuf:dword,nBytes:dword,FAttr:dword
File_WriteAll	proto	pszFile:dword,pBuf:dword,nBytes:dword,FAttr:dword
File_WriteStrg	proto	hFile:dword,pString:dword
File_Delete	proto	pszFile:dword
File_Map	proto	pMMF:dword
File_UnMap	proto	pMMF:dword

; Tui Initialisation file functions.

File_TuiSetIni	proto
File_TuiQryIni	proto
File_RdIniKey	proto	pszSection:dword,pszKey:dword,pszStrg:dword,Len:dword
File_WrIniKey	proto	pszSection:dword,pszKey:dword,pszStrg:dword




; MMF specification structure for use with File_Map and File_UnMap.
;
; NB An exact copy is held in \plugin\plugin.inc for the use of plugins.
;    If changes are made here then make there as well.

MMF		struc
  pszFile	dd	?	; pointer, asciiz file name
  nFile		dd	?	; New file:	 size in bytes
  				; Existing:	0 (NB)
  Access	dd	?	; Access mode:
  				;   GENERIC_READ and/or GENERIC_WRITE
  Mode		dd	?	; File_Map = Creation mode:
  				;   CREATE_ALWAYS or OPEN_EXISTING
				; File_UnMap = Delete flag
				;   TRUE to delete, FALSE to leave
  Attr		dd	?	; File attributes
  hFile		dd	?	; handle, file
  hMFile	dd	?	; handle, mapped file
  pMFile	dd	?	; pointer, mapped file in memory
MMF		ends




; File attributes.

FAttrAll	equ	FILE_ATTRIBUTE_READONLY or FILE_ATTRIBUTE_SYSTEM or \
			FILE_ATTRIBUTE_HIDDEN or FILE_ATTRIBUTE_ARCHIVE




; Memory --------------------------------------------------------------------




Mem_Alloc	proto	ReqBytes:dword
Mem_ReAlloc	proto	phBlock:dword,ReqBytes:dword
Mem_DeAlloc	proto	phBlock:dword




;============================================================================
